1
$\begingroup$

I am trying to build ROS Noetic on Ubuntu 23.04 and python 3.11.4 from source. Referring to the offical ROS documentation.

Step 1: Installing bootstrap dependencies:

$ sudo apt-get install python3-rosdep python3-rosinstall-generator python3-vcstools python3-vcstool build-essential

Gives the error:

E: Unable to locate package python3-rosdep
E: Unable to locate package python3-vcstool 

Step 2: For this, the documentation asks to add the packages.ros.org debian repository to apt source lists: click here:

sudo sh -c 'echo "deb http://packages.ros.org/ros/ubuntu $(lsb_release -sc) main" > /etc/apt/sources.list.d/ros-latest.list'

I tried the above step and it was executed without producing any error.

But, I am still getting the same error when I tried Step 1 after Step 2 again.

Also, after step 2 when I run:

sudo apt update

It says:

Hit:1 http://us.archive.ubuntu.com/ubuntu lunar InRelease
Hit:2 http://us.archive.ubuntu.com/ubuntu lunar-updates InRelease              
Hit:3 http://security.ubuntu.com/ubuntu lunar-security InRelease               
Hit:4 http://us.archive.ubuntu.com/ubuntu lunar-backports InRelease            
Ign:5 http://packages.ros.org/ros/ubuntu lunar InRelease                       
Hit:6 https://mirror.mwt.me/shiftkey-desktop/deb any InRelease
Err:7 http://packages.ros.org/ros/ubuntu lunar Release                      
404  Not Found [IP: 2605:bc80:3010::134 80] 
Get:8 https://download.opensuse.org/repositories/home:/npreining:/debian-ubuntu-
onedrive/xUbuntu_22.04./InRelease [1,604 B]
Reading package lists... Done        
E: The repository 'http://packages.ros.org/ros/ubuntu lunar Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

When I visited to ROS packages repository, I couldn't see the the folder for Ubuntu 23.04 (lunar), does it mean that there is no package available yet for Ubuntu 23.04?

I haven't installed ROS from source before, any help is highly appreciated.

$\endgroup$
4
  • 1
    $\begingroup$ Welcome to Robotics Stack Exchange! I suggest installing from the source, as you mentioned, and then reporting the errors/issues here. In that way, once we know the problem, it would be easy to find a solution. Thanks for your kind cooperation. $\endgroup$
    – ravi
    Aug 16, 2023 at 2:00
  • $\begingroup$ Please move all your comments to the question and modify your query including the title accordingly. Take a look at How to Ask and tour for more information on how stack exchange works, and the Robotics question checklist for details of how to write a good question. $\endgroup$
    – ravi
    Aug 25, 2023 at 1:52
  • $\begingroup$ Thanks for the suggestions! $\endgroup$ Aug 25, 2023 at 3:40
  • $\begingroup$ There aren't any pre-built noetic packages for 23.04 on packages.ros.org, I don't think any of those 'Ubuntu install of ROS Noetic' instructions are what you want- what happens if you undo that change to /etc/apt/sources.list.d/ros-latest.list, run apt update, and follow just the 'Installing from source' instructions? $\endgroup$ Aug 25, 2023 at 20:22

2 Answers 2

1
$\begingroup$

Welcome to Robotics Stack Exchange!

E: Unable to locate package python3-rosdep

E: Unable to locate package python3-vcstool

For these two packages, please install the following ones:

sudo apt install python3-rosdep2
sudo apt install python3-vcstools

I just tried it on Ubuntu 23.04 (Lunar) and found them working!

$\endgroup$
2
  • $\begingroup$ Thanks for the answer, I tried it but faced the same error, can you see my updated question. $\endgroup$ Aug 25, 2023 at 19:35
  • $\begingroup$ As I said, both of the above packages are tested on Ubuntu 23.04 (Lunar) and found working. Surprisingly, in your updated question, you are still installing old packages such as python3-rosdep and python3-vcstool. BTW, I found following links that could assist and provide some ideas for ROS Noetic in Ubuntu 23.04: 1, 2, and 3 $\endgroup$
    – ravi
    Aug 27, 2023 at 5:35
0
$\begingroup$

As it is stated here, ROS Noetic is officially only targeting Ubuntu 20.04.

I never build ROS Noetic from sources on ubuntu 23.04, but recently I build it on Ubuntu 22.04. All the necessary steps are documented at the following blog post Building ROS Noetic on Ubuntu 22.04.

Maybe this helps!

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.